--- title: "getCloudHadoopImageProductList" slug: "analytics-cloudhadoop-getcloudhadoopimageproductlist" tags: ["Cloud Hadoop"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudhadoop-getcloudhadoopimageproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudHadoopImageProductList Available in Classic Get cluster images available for use in Cloud Hadoop. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /hadoop/v2/getCloudHadoopImageProductList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-cloudhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionNo` | String | Optional | Region number - `1`: Korea Region (default) - See [getRegionList](/docs/en/compute-server-getregionlist). | | `productCode` | String | Optional | Filter by cluster image code. | | `exclusionProductCode` | String | Optional | Filtering by excluding cluster image codes. | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/hadoop/v2/getCloudHadoopImageProductList ?regionNo=1 &productCode=SPSWCHADPLINUX01 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getCloudHadoopImageProductListResponse` | Object | - | Response result - See [ProductList](/docs/en/common-apidatatype-productlist). | | `getCloudHadoopImageProductListResponse.requestId` | String | - | ID for the request - UUID format | | `getCloudHadoopImageProductListResponse.returnCode` | String | - | Response code | | `getCloudHadoopImageProductListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-cloudhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getCloudHadoopImageProductListResponse": { "productList": [ { "productCode": "SPSWCHADPLINUX01", "productName": "Cloud Hadoop 1.0", "productType": { "code": "LINUX", "codeName": "Linux" }, "productDescription": "CentOS 7.3 with Cloud Hadoop 1.0", "infraResourceType": { "code": "SW", "codeName": "Software" }, "cpuCount": 0, "memorySize": 0, "baseBlockStorageSize": 53687091200, "platformType": { "code": "LNX64", "codeName": "Linux 64 Bit" }, "osInformation": "CentOS 7.3 with Cloud Hadoop 1.0 (64-bit)", "dbKindCode": "HDP", "addBlockStorageSize": 0, "generationCode": "" } ], "totalRows": 1, "requestId": "a9cc72ca-****-****-****-a7dd0d85df07", "returnCode": "0", "returnMessage": "success" } } ```